/*
 * ScenarioEditorDialog.java
 *
 * Created on 5  2004 ., 14:08
 */

package fi.helsinki.dacopan.animseq;

import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JDialog;

import fi.helsinki.dacopan.Localization;
import fi.helsinki.dacopan.ui.MainFrame;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;

/**
 * The visible 'Scenario play list' dialog for navigating the playlist and recording new playlists.
 * The actual contents of the dialog are represented by ScenarioEditorPanel.
 */
public class ScenarioEditorDialog extends JDialog {
    
    private final String NAME_STRING = Localization.getString("animseq.dialog_title"); //$NON-NLS-1$
    
    private final ScenarioEditorPanel scenarioPanel;
    
    /** Creates a new instance of ScenarioEditorDialog */
    public ScenarioEditorDialog(final MainFrame mainFrame, AnimationSequence animSeq) {
        super(mainFrame);
        setModal(false);
        Container contents = getContentPane();
        contents.setLayout(new BorderLayout());
        scenarioPanel = new ScenarioEditorPanel(animSeq);
        contents.add(scenarioPanel, BorderLayout.CENTER);
        setTitle(NAME_STRING);
        setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
        
        // Add a listener to notify mainFrame about hiding the window
        this.addComponentListener(new ComponentAdapter(){
            public void componentHidden(ComponentEvent e) {
            	mainFrame.refreshUI();
            }
        });
        
        pack();
    }
    
    protected ScenarioEditorPanel getScenarioPanel() {
        return scenarioPanel;
    }
    
    
}
