/*
 * ScenarioItemENC.java
 *
 * Created on 5  2004 ., 20:25
 */

package fi.helsinki.dacopan.animseq;

import fi.helsinki.dacopan.Localization;
import fi.helsinki.dacopan.model.TransferUnit;
import fi.helsinki.dacopan.ui.MainFrame;

/**
 * A list item for an encapsulation diagram.
 */
public class ScenarioItemENC 
    implements ScenarioItem
{
    
    private TransferUnit unit;
    
    /** Creates a new instance of ScenarioItemENC */
    public ScenarioItemENC(TransferUnit unit) {
        this.unit = unit;
    }
    
    /** When called, calls the MainFrame instance to display the encapsulation for the unit
     * stored in the object.
     */
    public void doAction(MainFrame mainFrame, boolean inRecordingMode) {
        mainFrame.setupAnimationModeENC(unit);
    }
    
    public String getPlaylistText() {
        return Localization.getString("animseq.item_enc")+" ["+unit.toString()+"]"; //$NON-NLS-1$ //$NON-NLS-2$
    }
    
    /** Does nothing, always returns true. */
    public boolean recordEnd(float nowTime) {
        return true;
    }
    
    /** Always returns true. */
    public boolean getShowable() {
        return true;
    }
    
}
