/*
 * ScenarioItemPause.java
 *
 * Created on 10  2004 ., 12:26
 */

package fi.helsinki.dacopan.animseq;

import fi.helsinki.dacopan.Localization;
import fi.helsinki.dacopan.ui.MainFrame;

/**
 * A non-showable marker item for a pause in the play list.
 */
public class ScenarioItemPause 
    implements ScenarioItem
{
    
    /** Creates a new instance of ScenarioItemPause */
    public ScenarioItemPause() {
        
    }
    
    /** Does nothing. */
    public void doAction(MainFrame mainFrame, boolean inRecordingMode) {
        if (mainFrame.getAnimationTimeState() != null) {
            mainFrame.getAnimationTimeState().pause();
            mainFrame.getAnimationTimeState().toEndOfScenarioItem();
        }
    }
    
    public String getPlaylistText() {
        return Localization.getString("animseq.item_pause"); //$NON-NLS-1$
    }
    
    /** Does nothing, always returns true. */
    public boolean recordEnd(float nowTime) {
        return true;
    }
    
    /** Always returns false. */
    public boolean getShowable() {
        return false;
    }
    
}
