package fi.helsinki.dacopan.pef;

import java.io.Reader;

import fi.helsinki.dacopan.model.DataView;
import fi.helsinki.dacopan.ui.ProgressIndicator;

/**
 * ProtocolEventsReader is responsible for reading in a PEF (protocol
 * events file) and transforming it to the corresponding internal
 * data structures.
 * 
 * @version $Id: ProtocolEventsReader.java,v 1.3 2004/05/11 14:49:20 aarniala-dacopan Exp $
 */
public interface ProtocolEventsReader {
    
    /**
     * Processes the data from the reader and populates the
     * data view with the corresponding data structures.
     * 
     * @param reader source of data
     * @param view target of data
     * @param indicator progress indicator (optional, can be null)
     * @throws ProtocolEventsDataException if data can't be read
     */
    void read(Reader reader, DataView view, ProgressIndicator indicator) throws ProtocolEventsDataException;
    
}
