package fi.helsinki.dacopan.scenario;

import java.io.Reader;
import java.io.Writer;

import fi.helsinki.dacopan.model.DataView;

/**
 * Serializer for objects.
 * 
 * @version $Id: ObjectSerializer.java,v 1.3 2004/05/07 09:19:42 aarniala-dacopan Exp $
 */
public interface ObjectSerializer {
    
    /**
     * Serializes the given object to the writer.
     * 
     * @param o the object to be written out
     * @param w target writer
     */
    void saveObject(Object o, Writer w);
    
    /**
     * Loads an object from the given reader.
     * 
     * @param r source reader
     * @return the loaded object
     */
    Object loadObject(Reader r);
    
    /**
     * Sets the DataView instance the serializer can use to resolve model objects.
     * 
     * @param view to be used for fetching model objects
     */
    void setDataView(DataView view);
    
}
