package fi.helsinki.dacopan.scenario;

/**
 * Any object that wishes to save its state to the scenario file should implement
 * this interface.
 * 
 * @version $Id: Saveable.java,v 1.2 2004/05/04 14:30:16 aarniala-dacopan Exp $
 */
public interface Saveable {

    /**
     * Returns the data that should be saved in the scenario file.
     * 
     * @return arbitrary data (might be null)
     */
    Object getData();
    
    /**
     * Sets the data loaded from the scenario file.
     * 
     * @param o loaded object
     */
    void setData(Object o);

}
