package fi.helsinki.dacopan.ui;

import java.io.File;

/**
 */
public class FileInformation {

    // The different file types
    public static final int NO_FILE = 0;
    public static final int PROTOCOL_EVENTS_FILE = 1;
    public static final int SCENARIO_FILE = 2;
    
    private File fileInMemory;
    private boolean modified;

    private int fileType;

    public FileInformation() {
        fileInMemory = null;
        modified = false;
        fileType = NO_FILE;
    }

    public void setModified(boolean modified) {
        this.modified = modified;
    }

    public void setFile(File file, int type) {
        if (file == null) { 
            throw new IllegalArgumentException("File cannot be null"); 
        }
        if(type != PROTOCOL_EVENTS_FILE && type != SCENARIO_FILE) {
            throw new IllegalArgumentException("Wrong file type");
        }
        
        fileInMemory = file;
        fileType = type;
    }
    
    public void closeFile() {
        fileInMemory = null;
        fileType = NO_FILE;
        modified = false;
    }
    
    public void useGeneratedTestData() {
        fileInMemory = null;
        modified = false;
        fileType = PROTOCOL_EVENTS_FILE;
    }

    /**
     * @return
     */
    public boolean isLoaded() {
        if(fileInMemory != null) {
        	return true;
        }
        else {
            return false;    
        }       
    }

    /**
     * @return
     */
    public boolean isScenarioFile() {
        if(fileType == SCENARIO_FILE){
        	return true;
        }
        else {
        	return false;
        }
    }

    /**
     * @return
     */
    public File getFile() {
        return fileInMemory;
    }

	/**
	 * @return
	 */
	public boolean isModified() {
		return modified;
	}

}