package fi.helsinki.dacopan.ui;

/**
 * A simple progress indicator interface.
 * 
 * @version $Id: ProgressIndicator.java,v 1.1 2004/05/11 14:49:20 aarniala-dacopan Exp $
 */
public interface ProgressIndicator {

    /**
     * Closes the indicator. This is automatically
     * done when progress reaches 100.
     */
    void close();
    
    /**
     * Sets the message displayed in the indicator.
     */
    void setMessage(String message);

    /**
     * Sets current progress. Valid values are 0..100.
     */
    void setProgress(float progress);
    
    /**
     * Sets the step that subsequent calls to {@link #step()} will use.
     */
    void setStep(float step);
    
    /**
     * Steps forward for the amount specified with {@link #setStep(float)}.
     */
    void step();

    /**
     * A no-op dummy indicator.
     */
    public static final class NoopIndicator implements ProgressIndicator {
        public void close() {
        }
        public void setMessage(String message) {
        }
        public void setProgress(float progress) {
        }
        public void setStep(float step) {
        }
        public void step() {
        }
    }
    
}
