/*
 * TimePanel.java
 *
 * Created on 5  2004 ., 11:27
 */

package fi.helsinki.dacopan.ui;

import java.awt.BorderLayout;
import java.text.NumberFormat;

import javax.swing.BorderFactory;
import javax.swing.JLabel;

import fi.helsinki.dacopan.Localization;

/**
 * A very simple animation panel just showing 
 * the "now time" as text.
 */
public class TimePanel extends AbstractAnimationPanel {
    
    private NumberFormat numberFormat;
    private JLabel label;
    
    private String oldText;
    
    /** Creates a new instance of TimePanel */
    public TimePanel(MainFrame mainFrame, float startTime) {
        super(mainFrame);
               
        this.numberFormat = NumberFormat.getInstance(Localization.getCurrentLocale());
        this.numberFormat.setMaximumFractionDigits(4);
        this.numberFormat.setMinimumFractionDigits(4);

        setBorder(BorderFactory.createEtchedBorder());        
        setLayout(new BorderLayout());
        this.label = new JLabel(Localization.getString("panel.time.display", this.numberFormat.format(new Float(startTime))));        //$NON-NLS-1$
        add(this.label, BorderLayout.CENTER);
        label.setFont(StatusBar.STATUS_BAR_FONT);
        
        // This means that this instance of the time panel 
        // should be used only as a placeholder for empty time
        if(mainFrame == null) {
            this.label.setEnabled(false);
        }
    }    
    
    public void stepTo(float nowTime) {        
        String newText = Localization.getString("panel.time.display", this.numberFormat.format(nowTime)); //$NON-NLS-1$
        if (!newText.equals(this.oldText)) {
            this.label.setText(newText);
            this.oldText = newText;
        }
    }
    
}
